<?php

	require_once dirname(__FILE__).'/smf_utils.php';
	
	global $context, $txt, $scripturl, $sc, $modSettings, $boardurl;

	if (! isset($modSettings['swekey_allow_disabled']))
		$modSettings['swekey_allow_disabled'] = 1;

    $smf_root_url = $boardurl.'/';
	   
    $params = array();

    if (empty($modSettings['swekey_promo_url']))
	    $params['promo'] = 'smf';  
	else
		$params['swekey_promo_url'] = $modSettings['swekey_promo_url']; 

	if (! empty($modSettings['swekey_brands']))
		$params['brands'] = $modSettings['swekey_brands'];

	$params['allow_disabled'] = ! empty($modSettings['swekey_allow_disabled']);
    $params['swekey_url'] = $smf_root_url.'swekey/';
    $params['authframe_url'] = $params['swekey_url'].'authframe.php?use_file=1';
    if (! empty($modSettings['swekey_check_server']))
		$params['authframe_url'] .='&check_server='.urlencode($modSettings['swekey_check_server']);
    if (! empty($modSettings['swekey_rndtoken_server']))
		$params['authframe_url'] .='&rndtoken_server='.urlencode($modSettings['swekey_rndtoken_server']);

	$params['logout_url'] = $scripturl.'?action=logout;sesc='.$sc;
	if ($context['user']['is_guest'])
    	$params['user_logged'] = false;
	else
    	$params['user_logged'] = true;

    if ($params['user_logged'])
    {
		$params['user_swekey_id'] = SwekeyIdFromMemberId($context['user']['id']);
        $params['attach_url'] = $scripturl . '?action=swekey_attach&swekey_id=$swekey_id&session_id='.session_id();
    }
    else
    {
        $params['loginname_path'] = '["user"]';
        $params['mutltiple_loginnames_input'] = true;
        $params['loginname_resolve_url'] = $scripturl . '?action=swekey_resolve&swekey_id=$swekey_id';
        $params['image_xoffset'] = '1px';
        $params['image_yoffset'] = '-2px';
    }

	if (isset($txt['SWEKEY_ATTACH_ASK']))
	{
	    $params['str_attach_ask'] = $txt['SWEKEY_ATTACH_ASK'];
	    $params['str_attach_success'] = $txt['SWEKEY_ATTACH_SUCCESS'];
	    $params['str_attach_failed'] = $txt['SWEKEY_ATTACH_FAILED'];
	    $params['str_unplugged'] = $txt['SWEKEY_UNPLUGGED'];
	    $params['str_plugged'] = $txt['SWEKEY_PLUGGED'];
	}
	    
  	include_once(dirname(__FILE__).'/swekey_integrate.inc.php');
    
//	echo Swekey_GetIntegrationScript($params);
    $context['html_headers'] .= Swekey_GetIntegrationScript($params);
?>